Debian Bug report logs - #659018
sakura: FTBFS on hurd-i386

version graph

Package: src:sakura; Maintainer for src:sakura is Andrew Starr-Bochicchio <asb@debian.org>;

Reported by: Tanguy LE CARROUR <tanguy.lecarrour@gmail.com>

Date: Tue, 7 Feb 2012 13:54:02 UTC

Severity: important

Tags: patch

Found in version sakura/2.4.2

Fixed in version sakura/2.4.2-4

Done: Andrew Starr-Bochicchio <a.starr.b@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
Bug#659018; Package src:sakura. (Tue, 07 Feb 2012 13:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy LE CARROUR <tanguy.lecarrour@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Andrew Starr-Bochicchio <a.starr.b@gmail.com>. (Tue, 07 Feb 2012 13:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanguy LE CARROUR <tanguy.lecarrour@gmail.com>
To: submit@bugs.debian.org
Subject: sakura: FTBFS on hurd-i386
Date: Tue, 7 Feb 2012 14:50:29 +0100
[Message part 1 (text/plain, inline)]
Source: sakura
Version: 2.4.2
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd
X-DebBugs-CC: debian-hurd@lists.debian.org

Hi,

This patch solves the build problems for GNU/Hurd due to PATH_MAX
issues. The solution is to make dynamic string allocations instead of
using fixed length buffers. The patch involves one file, and is
trivial. Parts of the code has been reviewed by GNU/Hurd developers
and Debian GNU/Hurd developers and maintainers.

Thanks!
Tanguy
[fix_FTBFS4Hurd.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659018; Package src:sakura. (Thu, 23 Feb 2012 17:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
Extra info received and forwarded to list. (Thu, 23 Feb 2012 17:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 659018@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
To: 659018@bugs.debian.org
Cc: control@bugs.debian.org
Date: Thu, 23 Feb 2012 12:24:24 -0500
fixed 659018 2.4.2-4
thanks

I just realized that I somehow got the bug number in the changelog
wrong. I fixed this in the last upload.

sakura (2.4.2-4) unstable; urgency=low

   * Fix FTBFS on Hurd. This patch solves the build problems
     for GNU/Hurd due to PATH_MAX issues. The solution is to
     make dynamic string allocations instead of using fixed
     length buffers. Thanks to Tanguy LE CARROUR. (Closes: #887105)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 12 Feb 2012
11:39:31 -0500




Bug Marked as fixed in versions sakura/2.4.2-4. Request was from Andrew Starr-Bochicchio <a.starr.b@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 17:27:08 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Andrew Starr-Bochicchio <a.starr.b@gmail.com> to control@bugs.debian.org. (Fri, 30 Mar 2012 21:57:03 GMT) Full text and rfc822 format available.

Notification sent to Tanguy LE CARROUR <tanguy.lecarrour@gmail.com>:
Bug acknowledged by developer. (Fri, 30 Mar 2012 21:57:04 GMT) Full text and rfc822 format available.

Message sent on to Tanguy LE CARROUR <tanguy.lecarrour@gmail.com>:
Bug#659018. (Fri, 30 Mar 2012 21:57:16 GMT) Full text and rfc822 format available.

Message #19 received at 659018-submitter@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
To: control@bugs.debian.org
Cc: 659018-submitter@bugs.debian.org
Subject: closing 659018
Date: Fri, 30 Mar 2012 17:52:53 -0400
close 659018 
thanks





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:36:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:44:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.